Downloads

You should install operator's console to use our service. We offer 3 versions of software. You need 1 of this 3 consoles. If your operating system is Windows then we advise version 4.

Version 4

Windows users with modern PC should download LiveChatNow! operator's console version 4.

Version 4 requires .NET 2.0 available from Microsoft for free.

Old console (version 3)

Version 3 does not require .NET 2 and Java. Download LiveChatNow! operator's console version 3

Cross Platform console

Our new cross platform operator's console is available as pre release.

Requirements: Java 6 (Windows, Mac OS X, Linux or other operating system)